# SPDX-License-Identifier: MIT
%global archive_name %{lua:t=string.gsub(rpm.expand("%{default_fonts_foundry} %{fonts_family}"), "[%p%s]+", "_");print(t)}

%global source_version 20070415
%global source_release 35
%global source_url     http://www.greekfontsociety-gfs.gr/typefaces/20th_21st_century

%global default_fonts_foundry      GFS
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt *.rtf
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Bodoni
%global fonts_summary            GFS Bodoni, a 20th century Greek font family
%global fonts_fonts              *.otf
%global fonts_experimental_confs 60-%{fonts_name}.xml
%global fonts_description        %{expand:
Bodoni’s Greek types were the base for the first experimental font by Greek
Font Society, GFS Bodoni (1992-1993), which was designed by Takis Katsoulidis,
and digitized by George Matthiopoulos. The typeface is accompanied by a
matching Latin alphabet.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     *pdf

%auto_init
%auto_pkg

%sourcelist
http://www.greekfontsociety-gfs.gr/_assets/fonts/%{archive_name}.zip
60-%{fonts_name}.xml

%prep
%auto_prep
%setup -q -c -T
unzip -j -q  %{_sourcedir}/%{archive_name}
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt
chmod 644 %{fonts_docs} %{fonts_licenses}

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20070415-35
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20070415-34
🆕 Update to use fonts-rpm-macros 4.x

 Wed Apr 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20070415-33
🐞 Workaround Fedora problems created by rpm forge_commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20070415-32
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20070415-31
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20070415-30
✅ Lint, lint, lint and lint again

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20070415-29
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20070415-28
✅ Convert to fonts-rpm-macros use

* Sun Nov 25 2007 Nicolas Mailhot <nim@fedoraproject.org>
- 20070415-1
✅ Initial packaging
